* Adobe Acrobat Reader 9.0 or Microsoft Excel is required for all WatchBP O3 Versions above 1.0.3.6